package org.jvending.provisioning.config;

import org.jvending.registry.Repository;
import org.jvending.registry.RepositoryRegistry;
import org.jvending.registry.jaxb.JaxbConfiguration;
import org.jvending.provisioning.config.stockinghandlers.StockingHandlers;
import org.jvending.provisioning.config.stockinghandlers.StockingHandler;

import java.io.InputStream;
import java.io.IOException;
import java.util.Hashtable;
import java.util.Iterator;

public final class StockingHandlersRepository implements Repository {

    private StockingHandlers stockingHandlers;

    public void load(InputStream inputStream, Hashtable properties) throws IOException {
        if (properties == null)
            throw new IOException("JV-1305-001: Null properties values for the StockingHandlers repository");
        if (inputStream == null)
            throw new IOException("JV-1305-002: Null inputstream for the StockingHandlers repository");

        String _package = (String) properties.get("binding-package");
        stockingHandlers = (StockingHandlers) JaxbConfiguration.parse(inputStream, _package);
    }

    public StockingHandlerRepository getStockingHandlerRepository(String name) {
        for(Iterator i = stockingHandlers.getStockingHandler().iterator(); i.hasNext(); ) {
            StockingHandler stockingHandler = (StockingHandler) i.next();
            if(stockingHandler.getStockingHandlerName().equals(name))
                return new StockingHandlerRepository(stockingHandler);
        }
        return null;
    }

    public void setRepositoryRegistry(RepositoryRegistry repositoryRegistry) {
        //don't need this
    }
}
