/*
 *  JVending
 *  Copyright (C) 2004  Shane Isbell
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.jvending.provisioning.deliverable;

import java.net.URI;
import java.net.URL;

import java.util.logging.*;

import javax.provisioning.Deliverable;

/**
 *
 * @author Shane Isbell
 * @since 1.3.8a
 */


public class BaseDeliverable extends Deliverable {

    private static Logger logger = Logger.getLogger("BaseDeliverable");

    private final URI fileUri;

    public BaseDeliverable(URL url, URI fileUri, String mimeType) {
        super(url, mimeType);
        this.fileUri = fileUri;
    }

    public URI getURI() {
        return fileUri;
    }

}
